Package ru.bitel.bgbilling.modules.cerbercrypt.common.bean

# Class Packet

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.cerbercrypt.common.bean.Packet

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class Packet extends IdTitle implements ListItem
Пакет.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Packet()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getChannelCount()`
  `String`
  `getComment()`
  `List<Integer>`
  `getDepends()`
  `final boolean`
  `getFree()`
  Получить свойство пакета "не блокировать".
  `String`
  `getPacketCode()`
  `String`
  `getPacketServerCode()`
  `int`
  `getServiceId()`
  `List<Integer>`
  `getUnacceptable()`
  `boolean`
  `isCanWebClose()`
  `boolean`
  `isCanWebOpen()`
  `boolean`
  `isPacketGroup()`
  `final boolean`
  `isVirtualCinema()`
  `Packet`
  `setCanWebClose(boolean canWebClose)`
  `Packet`
  `setCanWebOpen(boolean canWebOpen)`
  `Packet`
  `setChannelCount(int channelCount)`
  `Packet`
  `setComment(String comment)`
  `Packet`
  `setDepends(List<Integer> depends)`
  `final Packet`
  `setFree(boolean free)`
  Установить свойство пакета "не блокировать".
  `Packet`
  `setId(int id)`
  Устанавливает id объекта
  `Packet`
  `setPacketCode(String packetCode)`
  `Packet`
  `setPacketGroup(boolean packetGroup)`
  `Packet`
  `setPacketServerCode(String packetServerCode)`
  `Packet`
  `setServiceId(int serviceId)`
  `Packet`
  `setTitle(String title)`
  Устанавливает название (описание) объекта
  `Packet`
  `setUnacceptable(List<Integer> unacceptable)`
  `final Packet`
  `setVirtualCinema(boolean virtualCinema)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId, getTitle`

- ## Constructor Details

  - ### Packet

    public Packet()

- ## Method Details

  - ### getChannelCount

    public int getChannelCount()

  - ### getComment

    public String getComment()

  - ### getDepends

    public List<Integer> getDepends()

  - ### getFree

    public final boolean getFree()
    Получить свойство пакета "не блокировать".
    Returns:
      true - не блокировать, false - блокировать

  - ### getPacketCode

    public String getPacketCode()

  - ### getPacketServerCode

    public String getPacketServerCode()

  - ### getServiceId

    public int getServiceId()

  - ### getUnacceptable

    public List<Integer> getUnacceptable()

  - ### isCanWebClose

    public boolean isCanWebClose()

  - ### isCanWebOpen

    public boolean isCanWebOpen()

  - ### isPacketGroup

    public boolean isPacketGroup()

  - ### isVirtualCinema

    public final boolean isVirtualCinema()

  - ### setCanWebClose

    public Packet setCanWebClose(boolean canWebClose)

  - ### setCanWebOpen

    public Packet setCanWebOpen(boolean canWebOpen)

  - ### setChannelCount

    public Packet setChannelCount(int channelCount)

  - ### setComment

    public Packet setComment(String comment)

  - ### setDepends

    public Packet setDepends(List<Integer> depends)

  - ### setFree

    public final Packet setFree(boolean free)
    Установить свойство пакета "не блокировать".
    Parameters:
      `free` -

  - ### setId

    public Packet setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setPacketCode

    public Packet setPacketCode(String packetCode)

  - ### setPacketGroup

    public Packet setPacketGroup(boolean packetGroup)

  - ### setPacketServerCode

    public Packet setPacketServerCode(String packetServerCode)

  - ### setServiceId

    public Packet setServiceId(int serviceId)

  - ### setTitle

    public Packet setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`

  - ### setUnacceptable

    public Packet setUnacceptable(List<Integer> unacceptable)

  - ### setVirtualCinema

    public final Packet setVirtualCinema(boolean virtualCinema)